Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cogvideox-2
cogvideox-flash
cogvideox
https://geekai.co/api/v1/videos/generations
negative_prompt
image_tail
resolution
aspect_ratio
duration
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer $GEEKAI_API_KEY' \ --data '{ "model": "cogvideox-flash", "prompt": "彼得兔开小汽车,游走在马路上,脸上的表情充满开心喜悦", "size": "1280x960", "quality": "quality", "with_audio": true, "fps": 30 }'
{ "model": "cogvideox-flash", "task_id": "a83d58e1-a590-4d58-a1a1-0378ae7efaa8", "task_status": "succeed", "video_result": [ { "id": "f87f9c36-2856-4c5c-89a6-cc6833a85ddc", "url": "https://static.geekai.co/video/2026/02/10/f536064e4248e8137b252472f61cea42.mp4" } ] }
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer $GEEKAI_API_KEY' \ --data '{ "model": "cogvideox-flash", "prompt": "让画面动起来", "image": "https://img.iplaysoft.com/wp-content/uploads/2019/free-images/free_stock_photo.jpg", "size": "3840x2160", "quality": "quality", "with_audio": true, "wartermark": true }'
此页面对您有帮助吗?